Class SelectISegment
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Routing
Assembly: NXOpen.dll
Syntax
public class SelectISegment : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectISegment()
Declaration
protected SelectISegment()
Properties
Value
Declaration
public ISegment Value { get; set; }
Property Value
Type | Description |
---|---|
ISegment |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public ISegment GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
ISegment |
GetValue(out InferSnapType.SnapType, out ISegment, out View, out Point3d, out ISegment, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out ISegment selection1, out View view1, out Point3d point1, out ISegment selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
ISegment | selection1 | |
View | view1 | |
Point3d | point1 | |
ISegment | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out ISegment, out View, out Point3d)
Declaration
public void GetValue(out ISegment selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
ISegment | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, ISegment, View, Point3d, ISegment, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, ISegment selection1, View view1, Point3d point1, ISegment selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
ISegment | selection1 | |
View | view1 | |
Point3d | point1 | |
ISegment | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(ISegment, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(ISegment selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
ISegment | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(ISegment, View, Point3d)
Declaration
public void SetValue(ISegment selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
ISegment | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink